/* This file was generated by lv6 version master.737 (2727a7744111c84f7984634d2bd3ad6f7c6c7ff9). */
/*  lv6 -2c led.lus -n arduino_puzzle */
/* on estrop the 02/05/2018 at 11:14:43 */

#ifndef _SOC2C_PREDEF_TYPES
#define _SOC2C_PREDEF_TYPES
typedef int _boolean;
typedef int _integer;
typedef char* _string;
typedef double _real;
typedef double _double;
typedef float _float;
#define _false 0
#define _true 1
#endif
// end of _SOC2C_PREDEF_TYPES
// User typedef 
#ifndef _led_arduino_puzzle_TYPES
#define _led_arduino_puzzle_TYPES
#endif // enf of  _led_arduino_puzzle_TYPES
// Memoryless soc ctx typedef 
// Memoryfull soc ctx typedef 
/* Lustre_pre_ctx */
typedef struct {
   /*Memory cell*/
   _boolean _memory ;
} Lustre_pre_ctx_type;

/* Lustre_arrow_ctx */
typedef struct {
   /*Memory cell*/
   _boolean _memory ;
} Lustre_arrow_ctx_type;

/* led_fedge_ctx */
typedef struct {
   /*INSTANCES*/
   Lustre_pre_ctx_type Lustre_pre_ctx_tab[1];
   Lustre_arrow_ctx_type Lustre_arrow_ctx_tab[1];
} led_fedge_ctx_type;

/* led_puzzle1_ctx */
typedef struct {
   /*INSTANCES*/
   Lustre_pre_ctx_type Lustre_pre_ctx_tab[12];
   Lustre_arrow_ctx_type Lustre_arrow_ctx_tab[5];
} led_puzzle1_ctx_type;

/* led_arduino_puzzle_ctx */
typedef struct {
   /*INSTANCES*/
   led_puzzle1_ctx_type led_puzzle1_ctx_tab[1];
   led_fedge_ctx_type led_fedge_ctx_tab[2];
} led_arduino_puzzle_ctx_type;

